package org.dromara.main.service;

import org.dromara.main.domain.MainStudentEducation;
import org.dromara.main.domain.bo.MainStudentEducationBo;
import org.dromara.main.domain.vo.MainStudentEducationVo;

import java.util.Collection;
import java.util.List;

public interface IMainStudentEducationService {
    MainStudentEducationVo queryById(Long id);
    List<MainStudentEducationVo> queryList(MainStudentEducationBo bo);
    Boolean insertByBo(MainStudentEducationBo bo);
    Boolean updateByBo(MainStudentEducationBo bo);
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
